Embed
Get embedded template
Retrieve template data for rendering in an embedded builder
GET
/
api
/
embed
/
template
/
{id}
Get embedded template
curl --request GET \
--url https://spitshake.io/api/embed/template/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://spitshake.io/api/embed/template/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spitshake.io/api/embed/template/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"template": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"external_id": "<string>",
"folder_name": "<string>",
"source": "<string>",
"shared": true,
"download_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"schema": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "text",
"submitter_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required": true,
"readonly": true,
"key": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"pattern": "<string>",
"validation": "ssn",
"options": [
"<string>"
],
"formula": "<string>",
"areas": [
{
"x": 23.07,
"y": 20.35,
"w": 25,
"h": 5,
"page": 1,
"attachment_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"preferences": {}
}
],
"submitters": [
{
"name": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"preferences": {
"display_title": "Acme Legal Retainer",
"logo_url": "<string>",
"company_name": "<string>",
"favicon_url": "<string>",
"primary_button_color": "#2f5d8a",
"header_color": "#14213d",
"show_branding": true,
"brand_id": 7,
"custom_domain": "sign.example.com",
"signing_nav_style": "standard"
},
"documents": [
{
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"page_count": 123,
"page_dimensions": [
{
"width": 123,
"height": 123
}
],
"url": "<string>"
}
]
},
"options": {}
}⌘I
Get embedded template

